.ebook {
    position: relative;
    &__list {
        display: flex;
        flex-wrap: wrap;
    }
    &__container{
        padding-right: 0;
    }
    &__item {
        @include breakpoint (desktop){
            height: 360px;
            width: 23%;
            overflow: hidden;
            margin-right: 15px;
            min-height: 360px;
        }
        &-cover {
            position: relative;
            border-radius: 5px;
            overflow: hidden;
            @include breakpoint (desktop){
                width: 250px;
                height: 250px;
            }
            @include breakpoint(mobile){
                width: 150px;
                height: 150px;
            }
            img {
               border-radius: 5px;
               @include breakpoint (desktop){
                    width: 250px;
                    height: 250px;
                    object-fit: cover;
               }
               @include breakpoint(mobile){
                width: 150px;
                height: 150px;
                object-fit: cover;
                min-width: 150px;
                min-height: 150px;
               }
            }
        }

        &-hover {
            opacity: 0;
            position: absolute;
            top: 0;
            left: -100%;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: rgba(20, 97, 161, .47);
            transition: .5s all ease;
            @include breakpoint (desktop){
                width: 250px;
                height: 250px;
            }
            @include breakpoint (mobile){
                width: 150px;
                height: 150px;
            }
        }

        &-desc {
            padding: 10px 0;
            a{
                color: $black;
                text-decoration: none;
                &:hover{
                    text-decoration: none;
                    color: $black;
                }
            }
            p {
                margin: 0;
                font-size: 18px;

                @include breakpoint (desktop){      
                    overflow: hidden;
                    text-overflow: ellipsis;
                    -webkit-line-clamp: 2;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    white-space: normal;
                }
                @include breakpoint(mobile) {
                    font-size: 14px;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    -webkit-line-clamp: 2;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    white-space: normal;
                }

                @include breakpoint(small-mobile) {
                    font-size: 12px;
                }
            }

            @include breakpoint(small-mobile) {
                padding: 5px 0;
            }
        }

        &-cover:hover &-hover {
            left: 0%;
            opacity: 1;
        }

        @include breakpoint(mobile) {
            height: 235px;
            width: 50%;
            margin-bottom: 1em;
        }
    }

    &__btn {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 40px;
        width: 130px;
        background-color: #1C2857;
        color: #ffffff;
        border-radius: 5px;
        transition: .5s all ease;

        &:hover, &:active {
            text-decoration: none;
            background-color: #161f42;
            color: #ffffff;
        }

        @include breakpoint(mobile) {
            transform: scale(.75);
        }
    }

    .ebook-preloader{
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        display: none;
        align-items: center;
        justify-content: center;
        background-color: hsla(0,0%,100%,.8);
        z-index: 2;
        text-align: center;
    }

    .pagination-container{
        @include breakpoint (desktop){
            margin-bottom: 6rem;
        }
    }
}

.ebook{
    .pimcore_area_card-with-banner-small{
        @include breakpoint(desktop){
            display: none;
        }
    }
}